package com.wissamfawaz;

public class ToHSolver {
	private int nbRings;
	
	public ToHSolver(int n) {
		nbRings = n;
	}
	
	public void solve() {
		moveTower(nbRings, 1, 3, 2);
	}
	
	private void moveTower(int n, int start, int end, int extra) {
		if(n == 0) return;
		
		moveTower(n - 1, start, extra, end);
		moveOneRing(start, end);
		moveTower(n - 1, extra, end, start);
	}
	
	private void moveOneRing(int start, int end) {
		System.out.println(start + "->" + end);
	}
	

}
